Subject: Re: bug#35927: 26.2; url-http-end-of-headers sets to 1 when cache is working

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 24 Sep 2019 10:46:53 +0200

Xu Chunyang <[email-masked]> writes:

> and I notice url-http-end-of-headers isn't the end of the headers when
> cache is working. This breaks some of my code, I assume it is the end of
> the header so I use (goto-char url-http-end-of-headers) before parsing
> the response body. Is this expected or a bug?
>
>     (with-current-buffer (url-retrieve-synchronously "http://example.com")
>       (message "=> %S" url-http-end-of-headers))
>     "=> #<marker at 347 in  *http example.com:80*>"

It's expected, I think.  url-http-end-of-headers is an internal variable
that url-http.el uses to keep track of things, and is not meant to be
used by the callers.

To find the end of the headers, you have to search for a blank line.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no